package com.bocloud.cmp.model.hmc.pcm;

public class StmViosStorageDevice {
    private String id;
    private String uid;
    private String diskAdapterIds;
    private String poolId;
    private Double numOfReads;
    private Double numOfWrites;
    private Double readBytes;
    private Double writeBytes;
    private Double readServiceTime;
    private Double writeServiceTime;
    private Double timeSpentInWaitQueue;
    private Double waitQueueSize;
    private Double numOfTimesServiceQueueIsFull;
    private Double usedSpace;
    private Double totalSpace;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getDiskAdapterIds() {
        return diskAdapterIds;
    }

    public void setDiskAdapterIds(String diskAdapterIds) {
        this.diskAdapterIds = diskAdapterIds;
    }

    public String getPoolId() {
        return poolId;
    }

    public void setPoolId(String poolId) {
        this.poolId = poolId;
    }

    public Double getNumOfReads() {
        return numOfReads;
    }

    public void setNumOfReads(Double numOfReads) {
        this.numOfReads = numOfReads;
    }

    public Double getNumOfWrites() {
        return numOfWrites;
    }

    public void setNumOfWrites(Double numOfWrites) {
        this.numOfWrites = numOfWrites;
    }

    public Double getReadBytes() {
        return readBytes;
    }

    public void setReadBytes(Double readBytes) {
        this.readBytes = readBytes;
    }

    public Double getWriteBytes() {
        return writeBytes;
    }

    public void setWriteBytes(Double writeBytes) {
        this.writeBytes = writeBytes;
    }

    public Double getReadServiceTime() {
        return readServiceTime;
    }

    public void setReadServiceTime(Double readServiceTime) {
        this.readServiceTime = readServiceTime;
    }

    public Double getWriteServiceTime() {
        return writeServiceTime;
    }

    public void setWriteServiceTime(Double writeServiceTime) {
        this.writeServiceTime = writeServiceTime;
    }

    public Double getTimeSpentInWaitQueue() {
        return timeSpentInWaitQueue;
    }

    public void setTimeSpentInWaitQueue(Double timeSpentInWaitQueue) {
        this.timeSpentInWaitQueue = timeSpentInWaitQueue;
    }

    public Double getWaitQueueSize() {
        return waitQueueSize;
    }

    public void setWaitQueueSize(Double waitQueueSize) {
        this.waitQueueSize = waitQueueSize;
    }

    public Double getNumOfTimesServiceQueueIsFull() {
        return numOfTimesServiceQueueIsFull;
    }

    public void setNumOfTimesServiceQueueIsFull(Double numOfTimesServiceQueueIsFull) {
        this.numOfTimesServiceQueueIsFull = numOfTimesServiceQueueIsFull;
    }

    public Double getUsedSpace() {
        return usedSpace;
    }

    public void setUsedSpace(Double usedSpace) {
        this.usedSpace = usedSpace;
    }

    public Double getTotalSpace() {
        return totalSpace;
    }

    public void setTotalSpace(Double totalSpace) {
        this.totalSpace = totalSpace;
    }
}
